package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumSettleBillType {

    // 0收款1承付
    R(0, "收款"),
    P(1, "承付"),
    ;

    public static EnumSettleBillType getEnum(Integer code) {
        for (EnumSettleBillType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumSettleBillType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
